Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_transcoding::rb_transcoding_state_t Union Reference

## Data Fields
void * | ptr
char | ary [sizeof(double) > sizeof(void *) ? sizeof(double) :sizeof(void *)]
double | dummy_for_alignment

## Detailed Description

Definition at line 77 of file transcode.c.

## Field Documentation

## ◆ ary

char rb_transcoding::rb_transcoding_state_t::ary[sizeof(double) > sizeof(void *) ? sizeof(double) :sizeof(void *)]

Definition at line 79 of file transcode.c.

## ◆ dummy_for_alignment

double rb_transcoding::rb_transcoding_state_t::dummy_for_alignment

Definition at line 80 of file transcode.c.

## ◆ ptr

void* rb_transcoding::rb_transcoding_state_t::ptr

Definition at line 78 of file transcode.c.

The documentation for this union was generated from the following file:

- transcode.c